<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class pagina_artigo extends elemento{
	
	private $estados = array(0=>"Por aprovar",1=>"Aprovado",2=>"Não aprovado");
	
	function pagina_artigo() {
        $c= new categoria;
    }

    
    function preview($id=""){
    	$this->guardar($id);
    }
  
	function guardar($id=0){		
		$trata = new images_mod($this->req);
		$this->req['imagem'] = $trata->trataimagem('imagem', "../netimages/pagina_imagem");
		//$this->req['video'] = $trata->tratafile('video');
		$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
		
		$db= new dbElemento;
		if ($linha=$db->getLinhaCampo($this->tipo, "idCat", $this->idCat))
			parent::guardar($linha['id']);
		else parent::guardar();
	}
    

	function editar($id=""){

        $db= new dbElemento;

        if($this->req['pendente']){
        	$linha = $db->getLinha($this->tipo, $this->req['id']);
        }else {
        	$sql="select * from ".$this->tipo." where idCat =".$this->idCat." and estado = 1";
        	$lista = $db->get($sql);
        	$linha = $lista[0];
        	
        	if(empty($linha)){ //nao tem nenhuma aprovada
        		$sql="select * from ".$this->tipo." where idCat =".$this->idCat." order by id desc";
        		$lista = $db->get($sql);
        		$linha = $lista[0];        	
        	}
        }
		if ($linha) $id=$linha['id'];

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		
		$f->titulo("",1,"",$f->textodireita);
		
		$f->campoImagem2("Imagem","imagem", 540,270);
		$f->campoAreaTexto("Video (embed) ","embed");
				
				
/*		$f->campoTexto("Título","titulo" );
		$f->campoTexto("Subtitulo","subtitulo");
		$f->campoAreaTexto("lead","lead");
		$f->campoData2("Data", "data");*/
		$f->campoHTML("Texto", "texto");
		$f->campoTexto("SEO: Palavras chave","tagpalavras" );
		$f->campoTexto("SEO: Descrição","tagdescricao" );
		$f->campoValor("ordem", $linha["ordem"]);
		//$f->campoSimNao("Destaque", "destaque");

		
		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		$f->campoBotaoPreview($linha['permalink'],"../pagina_artigo.php");
		
		$f->campoValor('idAntigo', $linha['idAntigo']);
		
		include ("include/pendentes.inc.php");		
		include ("include/nao_aprovados.inc.php");
		$f->mostra();
		
	}
	

	function listar($id=""){
        $this->editar($id);
	}
	
	
}
?>
